com.r3corda.node.api / ProtocolInstanceRef

# ProtocolInstanceRef

`data class ProtocolInstanceRef`

### Constructors

<init> | `ProtocolInstanceRef(protocolInstance: SecureHash, protocolClass: ProtocolClassRef, protocolStepId: String)`

### Properties

protocolClass | `val protocolClass: ProtocolClassRef`
protocolInstance | `val protocolInstance: SecureHash`
protocolStepId | `val protocolStepId: String`